* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
html,
body {
    width: 100%;
    height: 100%;
    background-color: #fff;
}
@font-face {
    font-family: "Poppins-Regular";
    src: url("https://acfs2.goodreels.com/fonts/Poppins/Poppins-Regular.ttf");
    font-display: swap;
}
@font-face {
    font-family: "Poppins-Medium";
    src: url("https://acfs2.goodreels.com/fonts/Poppins/Poppins-Medium.ttf");
    font-display: swap;
}
@font-face {
    font-family: "Poppins-SemiBold";
    src: url("https://acfs2.goodreels.com/fonts/Poppins/Poppins-SemiBold.ttf");
    font-display: swap;
}

@media (min-width: 769px) {
    html {
        font-size: 102.4px !important;
        width: 768px;
        margin: 0 auto;
    }
    .graphic {
        width: 768px !important;
    }
    .graphic .sec-btn-box {
        width: 768px !important;
    }
    .nobook {
        width: 768px !important;
    }
}

@keyframes move{
    0% {
        transform: translateY(-50%) rotate(30deg) translateX(-100%)
    }
    100%{
        transform:translateY(-50%) rotate(30deg) translateX(91px)
    }
}
html {
    font-size: 16px;
}
.graphic {
    position: fixed;
    overflow: hidden;
    height: 100%;
    width: 100%;
    background: rgba(0, 0, 0, 1);
    left: 50%;
    top: 0;
    bottom: 0;
    right: 0;
    z-index: 9;
    transform: translateX(-50%);
    padding-bottom: calc(constant(safe-area-inset-bottom));
    padding-bottom: calc(env(safe-area-inset-bottom));
    display: none;
}
.graphic .sec-blur {
    height: 7rem;
    overflow: hidden;
    position: absolute;
    width: 150%;
    left: 50%;
    transform: translate(-50%,-25%);
}

.graphic .sec-blur::after {
    content: " ";
    position: absolute;
    height: 3.08rem;
    left: 0;
    right: 0;
    bottom: -0.15rem;
    background: linear-gradient(180deg,rgba(4,0,13,0) 0,#04000d 100%);
}

.graphic .sec-blur::before {
    content: " ";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 3;
    top: 0;
    background: rgba(0,0,0,0.3)
}
.graphic .sec-blur .blurimg {
    -webkit-filter:blur(8px) brightness(0.8);
    z-index: -1
}
.graphic .sec-main {
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow-y: scroll;
    padding-bottom: calc(constant(safe-area-inset-bottom)); /* 兼容 iOS < 11.2 */
    padding-bottom: calc(env(safe-area-inset-bottom)); /* 兼容 iOS >= 11.2 */
}
.graphic .sec1 {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 0.52rem;
}
.graphic .sec1 img {
    width: .8rem;
    margin-right: .2rem;
    border-radius: .16rem;
}
.graphic .sec1 span {
    font-size: .48rem;
    color: #fff;
}
.graphic .sec2 {
    padding: 0.4rem 0;
}
.graphic .sec2 img {
    width: 4.3rem;
    height: 5.74rem;
    border-radius: 0.2rem;
    border: 0.04rem solid rgba(255, 255, 255, 0.1);
    margin: 0 auto;
    display: block;
}
.graphic .sec3 {
    padding: 0 0.48rem;
    padding-bottom: .48rem;
}
.graphic .sec3 .sec3-txt {
    margin-top: 0.2rem;
    max-height: 1.76rem;
    overflow: hidden;
    position: relative;
}
.graphic .sec3 .sec3-txt span {
    position: absolute;
    right: 0;
    height: 0.44rem;
    line-height: 0.44rem;
    bottom: 0;
    background: #07080a;
    font-size: 0.28rem;
    font-family: Poppins-Regular, Poppins;
    color: rgba(255, 255, 255, 0.85);
    padding: 0 0.24rem;
    display: none;
}
.graphic .sec3 h4 {
    font-size: 0.32rem;
    font-family: Poppins-SemiBold, Poppins;
    color: #fff;
}
.graphic .sec3 .sec3-txt #IntroductionRef {
    font-size: 0.28rem;
    font-family: Poppins-Regular, Poppins;
    color: rgba(255, 255, 255, 0.85);
    line-height: 0.44rem;
}
.graphic .sec4 {
    padding: 0 0.48rem;
    padding-bottom: 1.42rem;
}
.graphic .sec4 p {
    font-size: .28rem;
    font-family: Poppins-Regular, Poppins;
    color: rgba(255, 255, 255, 0.85);
    line-height: 0.44rem;
    font-style: italic;
    white-space: pre-wrap;
}
.graphic .sec-btn-box {
    position: fixed;
    width: 100%;
    bottom: 0;
    left: 50%;
    right: 0;
    background: #07080a;
    text-align: center;
    transform: translateX(-50%);
    padding-bottom: calc(env(safe-area-inset-bottom));
    padding-bottom: calc(constant(safe-area-inset-bottom));
}
.graphic .sec-btn {
    height: 0.88rem;
    line-height: 0.88rem;
    background: #fe3355;
    border-radius: .08rem;
    width: 6.54rem;
    margin-bottom: -0.04rem;
    font-size: 0.32rem;
    font-family: Poppins-SemiBold, Poppins;
    color: #fff;
    text-align: center;
    animation: ani 1.2s linear infinite;
    padding: 0 0.48rem;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    display: inline-block;
}
.graphic .sec-btn.gn {
    background: linear-gradient(135deg,#ff3e64 0,#ff7e42 100%);
}
.graphic .sec-btn.bn {
    background: linear-gradient(135deg,#ff3e64 0,#ff7e42 100%);
}
.graphic .sec-btn.mn {
    background: linear-gradient(135deg, #3b66f5 0, #163bcd 100%);
}
.graphic .sec-btn.gf {
    background: #fe3355;
}
.graphic .sec-btn.gs {
    background: #fe3355;
}
@keyframes ani {
    0%,
    100% {
        transform: scale(0.94);
    }
    25% {
        transform: scale(1);
    }
    50% {
        transform: scale(0.94);
    }
    75% {
        transform: scale(1);
    }
}
.reels {
    width: 100%;
    height: 100%;
    position: relative;
}
.reels .sec1 {
    position: relative;
    width: 100%;
    height: 100%;
    z-index: 1;
}
.reels .sec1 .sec1-muted {
    position: absolute;
    height: 0.72rem;
    line-height: 0.72rem;
    background: rgba(0, 0, 0, 0.75);
    border-radius: 0.16rem;
    top: 0.32rem;
    right: 0.32rem;
    z-index: 999;
}
.reels .sec1 .sec1-muted div {
    display: flex;
    align-items: center;
    padding: 0 0.12rem;
    height: 0.72rem;
}
.reels .sec1 .sec1-muted p {
    font-size: 0.24rem;
    font-family: Poppins-Regular, Poppins;
    color: #fff;
    margin-right: 0.16rem;
    padding-left: 0.12rem;
}
.reels .sec1 .sec1-muted img {
    width: 0.48rem;
    height: 0.48rem;
}
.reels .sec1 .sec1-img-box {
    width: 100%;
    height: 100%;
    background: #07080a;
}
.reels .sec1 .sec1-img {
    height: 80%;
    display: flex;
    align-items: center;
}
.reels .sec1 video {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.reels .sec3 .sec1-play {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    z-index: 8;
}
.reels .sec2 {
    position: absolute;
    z-index: 2;
    bottom: 0;
    right: 0;
    left: 0;
}
.reels .sec2 .sec2-right {
    position: absolute;
    right: 0.34rem;
    bottom: 3.66rem;
    text-align: center;
}
.reels .sec2 .sec2-right p {
    font-size: 0.26rem;
    font-family: Poppins-Regular, Poppins;
    color: #fff;
    text-shadow: 0 2px 2px rgba(0, 0, 0, 0.16);
}
.reels .sec2 .sec2-right img {
    display: block;
    margin: 0.44rem auto 0.06rem;
}
.reels .sec2 .sec2-bottom {
    padding: 0.36rem;
    background: linear-gradient(360deg, rgba(0, 0, 0, 1) 0, rgba(0, 0, 0, 0) 100%);
    padding-bottom: 0.3rem;
}
.reels .sec2 .sec2-bottom .sec2-bottom-main {
    max-height: 70vh;
    overflow-y: scroll;
}
.reels .sec2 .sec2-bottom h5 {
    font-size: 0.32rem;
    font-family: Poppins-SemiBold, Poppins;
    color: #fff;
    line-height: 0.48rem;
    text-shadow: 0 2px 2px rgba(0, 0, 0, 0.1);
    padding-right: 1.04rem;
    display: -webkit-box;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
.reels .sec2 .sec2-bottom-txt {
    margin-right: 1.04rem;
    max-height: 0.8rem;
    overflow: hidden;
    position: relative;
    margin-top: 0.1rem;
}
.reels .sec2 .sec2-bottom .sec2-bottom-txt #VideoIntroductionRef {
    font-size: 0.26rem;
    font-family: Poppins-Regular, Poppins;
    color: rgba(255, 255, 255, 0.85);
    line-height: 0.4rem;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.16);
}
.reels .sec2 .more {
    font-size: 0.26rem;
    font-family: Poppins-Regular, Poppins;
    color: rgba(255, 255, 255, 0.95);
    position: absolute;
    right: 0.6rem;
    bottom: 1.35rem;
    padding: 0 0.12rem;
}
.reels .sec2 .sec2-bottom .sec2-bottom-btn {
    height: 0.88rem;
    width: 100%;
    border: 0;
    background: #fe3355;
    border-radius: 0.12rem;
    display: block;
    font-size: 0.32rem;
    font-family: Poppins-SemiBold, Poppins;
    color: #fff;
    line-height: 0.88rem;
    text-align: center;
    margin-top: 0.16rem;
    padding: 0 0.48rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.hide {
    display: none !important;
}
* {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
input,
textarea {
    -webkit-user-select: auto;
    margin: 0;
    padding: 0;
    outline: 0;
}
* {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent;
}


/* 文字侧 */
.main-top {
    height: calc(100% - 1.28rem);
    overflow-y: auto;
    overflow-x: hidden;
    display: none;
    background-color: #f6f6f6;
}
.main-top .million {
    height: 0.88rem;
    background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAEkAAAA4CAMAAACG0yWKAAAAtFBMVEUAAAD/47j/5r//26D/4bH/2Jz/4rT/26T/3qz/3qn/5rz/2Jj/zYD/6cX/1ZX/047/zYH/4K7/79T/7M3/6cj/1JL/0Ij/68r/6ML/0IT/8dr/3ab/7ND/0or/9OH/7tD/897/79j/9eX/9+n/0Iv/0Yf/zoL/3KH/0Yf/3aX/z4T/3qX/zYH/zoD/2Zb/4K3/3ab/zoD/0Yj/zYH/04v/26L/2Jv/4rP/1pn/2Z3/47j/4rXWNI2aAAAAPHRSTlMApKSkpKSkpKSkpKSkpKSkpKSkpKSkpKSkpKSkpKSkpKSkpKQJkEEgnXNVNC0YD5aHg3ttZV5MRaKZgVlRz9knAAACR0lEQVRYw6XV6VbCMBAFYAoWClYoWAoIyCK4b7jh8v7vZYYmnaYzDI3OOfn7nSH3NlQu1CyXy/PdzOfzM5hFT81sNpmcqhkM4vhEzXBYVdNqtbxVhRsGWuShAUCxBXlbVkJozkJ0I8/7ZiWEwKFQrKGqgWCuOKkUNLSh+g8vMXeNP42F6k+cJED0rjVUP7pjJD60CR8aOAAd3TASn/7ejcBREzxSSUyfg0DqdreMZBwNTaT0jdMNnqlEFmLv2oaCIGjSSiGkpjzUfKcSpt/bVyOPQk1aqYM/jYfGDVIpx9ACAzVIpTgoPgypKVaqdPr6pzUBAqn2QSTp26ehmY1qtWKltFMeGqeQmkKlpEdEhvxCpRzTR8f3v1aWJIbGb1TTkm9XSq6RBw6/kX98bFeqcEX0NeI28lPp06rUgWIbh26kpm1VyqFGBGqv8xJAbneNULufr5QL1ChC/be85L4RQv3rFUriI8KHBk4KdTqXKBmo6hAaQp0XlIT0yUYU6kwfUAJHhhoCNL3NJL5GcmjoTBOslFNoFEqSeyP9F0qySrmlT6FRVinh5Rch7agxleIg+smiQ6DIVIqG5ghFoa6UU/pt7VhQpCvVIpD8pcHYULjOJCY0udfTzFFSGEVppcj/fjkoMZCiwted5JY+bgRSqBw4aaUcHhEbMgvB2VWKpi9DiXVH+mxA+jsUZiullcLXyC19dOBApeRvX14ID1RK+LsWIKDyByolPyJ7NwrtA5Vy6uOI3pE5qwrWyD00PFCpgy+/eEd4Nr9Ryb5+sEl3cQAAAABJRU5ErkJggg==) #ffc469;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    padding: 0 0.1rem;
}
.main-top .million .qr-logo-img {
    width: 0.7rem;
    height: 0.7rem;
    border-radius: 0.2rem;
}
.main-top .million #headTxt {
    font-size: 0.29rem;
    color: #552c00;
    font-weight: 600;
    width: 0;
    flex: 1;
    margin-left: 0.1rem;
}
.main-top .million .download-btn{
    padding: 0.12rem 0.25rem;
    background: linear-gradient(315deg, #161719 0, #44474c 100%);
    border-radius: 0.5rem;
    font-family: sans-serif;
    font-size: 0.24rem;
    color: #ffdead;
    position: relative;
    overflow: hidden;
    text-align: center;
    border: 0;
}

.main-top .million .download-btn::after {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%) rotate(30deg);
    left: 0;
    width: 0.64rem;
    height: 2rem;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0, rgba(255, 255, 255, 0.3) 100%);
    animation: move 1.5s infinite;
}

.main-top .header {
    margin-top: 0.9rem;
    overflow: hidden;
    padding: .4rem .4rem .28rem
}

.main-top .header h4 {
    font-size: .56rem;
    font-weight: 400;
    color: #27292a;
    line-height: .68rem;
    margin-bottom: .31rem
}

.main-top .header .sub-title {
    font-size: .32rem;
    font-family: ArialMT;
    color: #68696a;
    line-height: .4rem;
    margin-bottom: .21rem
}

.main-top .header .chapter-info {
    display: flex;
    flex-direction: row;
    align-items: center;
    font-size: .24rem;
    font-weight: 400
}

.main-top .chapter-info i {
    width: .48rem;
    height: .48rem;
}
.main-top .chapter-info i img {
    width: .48rem;
    border-radius: .08rem;
}

.main-top .chapter-info span:first-of-type a {
    color: #ff5857;
    text-decoration: none
}

.main-top .chapter-info span:last-of-type {
    color: #717273
}

.main-top .chapter-img {
    font-size: 0
}
.main-top .book-intro {
    font-size: .36rem;
    width: 90%;
    max-height: 1.48rem;
    display: block;
    margin: 0 auto .24rem;
    font-family: ArialMT;

    overflow:hidden;
    text-overflow:ellipsis;
    display:-webkit-box;
    -webkit-box-orient:vertical;
    -webkit-line-clamp:3;

}

.main-top .chapter-img img {
    width: 80%;
    object-fit: cover;
    display: block;
    margin: 0 auto;
}

.main-top .chapter-img p {
    font-size: .24rem;
    font-family: ArialMT;
    color: #636465;
    line-height: .32rem;
    text-align: center;
    margin: .16rem
}

.main-top .chapter-txt {
    font-size: .32rem;
    font-weight: 400;
    color: #3b3c3d;
    line-height: .6rem;
    padding: .4rem .4rem 1.6rem;
    word-spacing: normal;
    word-break: break-word;
}

.main-top .chapter-txt .chapter-content {
    margin-top: 12px;
    white-space: pre-wrap;
}

.main-top .chapter-link {
    font-size: .32rem;
    font-family: SFProText-Regular, SFProText;
    font-weight: 400;
    text-align: center;
    margin: .22rem 0 .62rem;
    padding-bottom: .8rem
}

.main-top .chapter-link a {
    display: inline-block;
    line-height: .38rem;
    position: relative;
    text-decoration: none;
    color: #ff7e42
}

.main-top .chapter-link a::after {
    content: " ";
    left: 0;
    bottom: -0.04rem;
    position: absolute;
    border: .02rem solid #ff7e42;
    width: 100%
}

.main-top footer {
    height: 1.28rem;
    background: #fff;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    box-shadow: 0 1px 0 0 #ececec;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    justify-content: center;
    align-items: center
}

.main-top footer a {
    width: 6.4rem;
    height: .88rem;
    background: linear-gradient(135deg, #ff3e64 0, #ff7e42 100%);
    border-radius: 1rem;
    display: inline-block;
    font-size: .32rem;
    color: #fff;
    line-height: .88rem;
    text-align: center;
    text-decoration: none
}
.main-top footer a.gn {
    background: linear-gradient(135deg,#ff3e64 0,#ff7e42 100%);
}
.main-top footer a.bn {
    background: linear-gradient(135deg,#ff3e64 0,#ff7e42 100%);
}
.main-top footer a.mn {
    background: linear-gradient(135deg, #3b66f5 0, #163bcd 100%);
}
.main-top footer a.gf {
    background: #fe3355;
}
.main-top footer a.gs {
    background: #fe3355;
}



.nobook {
    display: flex;
    display: -webkit-flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    width: 100%;
    display: none;
}
.nobook img {
    display: block;
    margin: 0 auto;
    border-radius: .2rem;
}
.mgt37 {
    margin-top: .75rem;
}
.mgt26 {
    margin-top: .52rem;
}
.h5 {
    font-size: .36rem;
    font-family: SFProText-Bold, SFProText;
    font-weight: bold;
    color: #000000;
    margin-top: .18rem;
    text-align: center;
}
.app-down-text {
    font-size: .3rem;
    font-family: SFProText-Regular, SFProText;
    font-weight: 400;
    color: #333333;
    margin-top: .16rem;
    text-align: center;
}
